{% extends "layout.html" %}
{% block title %} AIVDMDisplay Prototype {% endblock %}
{% block head %} {{ super() }} {% endblock %}
{% block body %} {{ super() }}

<h1><center> <span class="c1 c25">AIVDMDisplay: AIVDMHandler Mock Injector </span></h1></center></h1>
<center>
  {% if AIVDMHandler is defined %}<p class="infotitle"><strong>AIVDMHandler service  response:</strong>{{AIVDMHandler}}<br></p>{% endif %}
  <p class="infotext">Use the form below to send examples of AIVDMMessages to AIVDMHandler REST Service.</p>
<table border=0 aria-describedby="AIVDMDisplay Prototype">
<tr>
<th scope="col">
<form action="/inject" autocomplete="on" method="POST" role="form">
 {{ form.hidden_tag }}
    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
    <p class="infotitle"><strong>Examples of AIVDM Messages:</strong></p> 
    <p class="infotext">
<textarea id="aivdmstring_examples" type="textarea" rows = "50" cols = "80" name="aivdmstring_examples">
!AIVDM,1,1,,A,15NIrB0001G?endE`CpIgQSN08K6,0*02
!AIVDM,1,1,,B,152Hn;?P00G@K34EWE0d>?wN28KB,0*12
!AIVDM,1,1,,B,138Ngv0OinG>DFnDekIF6lkN00Rk,0*2E
!AIVDM,1,1,,B,15N06LPP00G?Sf6Egkh0TwwL0HKO,0*2B
!AIVDM,1,1,,A,15N:Ie0P00G@6VpEa4n68?wL0HKf,0*2C
!AIVDM,1,1,,B,15MqdBP000G@qoLEi69PVGaN0D0=,0*3A
!AIVDM,1,1,,B,B5NJ;PP005l4onUIsc@03woUoP06,0*3A
!AIVDM,1,1,,B,15Mv4a0P00G?<pHEeU59nwwN08L3,0*7D
!AIVDM,1,1,,A,35Ml=50Oh@o>Lf2EVPJI>nqP017A,0*51
!AIVDM,1,1,,A,15Mw0J0P01G?aLVE`VfaM?wN00RV,0*3B
!AIVDM,1,1,,B,16:252002lo=Gn8E7k?=0bGN0@LH,0*04
!AIVDM,1,1,,A,19NWsbP000o@58pE`8pHhSGP00SE,0*0B
!AIVDM,1,1,,B,35AjiT5000G@4vhE`ok8a6sR0Dbb,0*06
!AIVDM,1,1,,B,15MwksP000G@6TDEa501Uc5P08Cq,0*3B
!AIVDM,1,1,,A,15N59@PP00G?iGhEW<9P0?wL0HLg,0*3E
!AIVDM,1,1,,B,15N:`e0000G@6IlEa5O`V93L0@Lt,0*22
!AIVDM,1,1,,B,15Ms0FPP00o?arNEdfdUw?wR08M3,0*09
!AIVDM,1,1,,B,13U8W:002;o>lC`EWMwaaWiR8D10,0*09
!AIVDM,1,1,,B,35MA9T0Oino<fFPE1=cG75iR0000,0*4D
!AIVDM,1,1,,B,4h3Ovk1udq`Dio>jPHEdjdW008MI,0*63
!AIVDM,1,1,,B,4h3Ovl1udq`DioCkldEpGh70051@,0*25
!AIVDM,1,1,,B,4h3OvkQudq`Djo?UhFEf=Ko00<18,0*43
!AIVDM,1,1,,B,4h3Ovl1udq`DjoCkllEpGh70051@,0*2E
!AIVDM,1,1,,B,35OqO05vh0G@8GREWEmVVwwT0000,0*3D
!AIVDM,1,1,,B,35Ml=5000=o>LeVEVPH96ns`0000,0*50
!AIVDM,1,1,,B,15>gpr0PAuG=AglDjcc68Ts200S2,0*4A
!AIVDM,1,1,,B,18UG;P000pG?UgdEdOeeec6t08DW,0*0A
!AIVDM,1,1,,B,19NS7Sp02wo?HETKA2K6mUM20<L=,0*27
!AIVDM,1,1,,A,13u?etPv2;0n:dDPwUM1U1Cb069D,0*23
!AIVDM,2,1,0,A,58wt8Ui`g??r21`7S=:22058<v05Htp000000015>8OA;0sk,0*7B
!AIVDM,2,2,0,A,eQ8823mDm3kP00000000000,2*5D
!AIVDM,1,1,4,B,6>jR0600V:C0>da4P106P00,2*02
!AIVDM,2,1,9,B,61c2;qLPH1m@wsm6ARhp<ji6ATHd<C8f=Bhk>34k;S8i=3To,0*2C
!AIVDM,2,2,9,B,Djhi=3Di<2pp=34k>4D,2*03
!AIVDM,1,1,1,B,8>h8nkP0Glr=<hFI0D6??wvlFR06EuOwgwl?wnSwe7wvlOw?sAwwnSGmwvh0,0*17
!AIVDO,1,1,,A,95M2oQ@41Tr4L4H@eRvQ;2h20000,0*0D
!AIVDM,1,1,,B,;8u:8CAuiT7Bm2CIM=fsDJ100000,0*51
!AIVDM,1,1,,B,>>M4fWA<59B1@E=@,0*17
!AIVDM,1,1,,A,B6CdCm0t3`tba35f@V9faHi7kP06,0*58
!AIVDM,2,1,0,B,C8u:8C@t7@TnGCKfm6Po`e6N`:Va0L2J;06HV50JV?SjBPL3,0*28
!AIVDM,2,2,0,B,11RP,0*17
!AIVDO,2,1,5,B,E1c2;q@b44ah4ah0h:2ab@70VRpU<Bgpm4:gP50HH`Th`QF5,0*7B
!AIVDO,2,2,5,B,1CQ1A83PCAH0,0*60
!AIVDO,1,1,,B,H1c2;qA@PU>0U>060<h5=>0:1Dp,2*7D
!AIVDO,1,1,,B,H1c2;qDTijklmno31<<C970`43<1,0*28
!AIVDM,1,1,,A,KCQ9r=hrFUnH7P00,0*41
!AIVDM,1,1,,B,KC5E2b@U19PFdLbMuc5=ROv62<7m,0*16
!AIVDM,1,1,,B,K5DfMB9FLsM?P00d,0*70   
!AIVDM,1,1,,A,400TcdiuiT7VDR>3nIfr6>i00000,0*78
!AIVDM,1,1,,A,16SteH0P00Jt63hHaa6SagvJ087r,0*42
!AIVDM,1,1,,B,25Cjtd0Oj;Jp7ilG7=UkKBoB0<06,0*60
!AIVDM,1,1,,A,38Id705000rRVJhE7cl9n;160000,0*40
!AIVDM,1,1,,A,403OviQuMGCqWrRO9>E6fE700@GO,0*4D
!AIVDM,2,1,1,A,55?MbV02;H;s<HtKR20EHE:0@T4@Dn2222222216L961O5Gf0NSQEp6ClRp8,0*1C
!AIVDM,2,2,1,A,88888888880,2*25
!AIVDM,1,1,4,B,6>jR0600V:C0>da4P106P00,2*02
!AIVDM,1,1,,A,F030ot22N2P6aoQbhe4736L20000,0*1A
!AIVDM,2,1,5,B,E1mg=5J1T4W0h97aRh6ba84<h2d;W:Te=eLvH50```q,0*46
!AIVDM,2,2,5,B,:D44QDlp0C1DU00,2*36</textarea>
</p>
</th>
<th scope="col">
   <p class="infotitle"><strong>Put here your AIVDM Strings:</strong></p> 
   <textarea id="aivdmstring_input" type="textarea" rows = "50" cols = "80" name="aivdmstring" val="{{aivdmstring}}"></textarea>
<br>    <input
      type="submit"
      id="login_submit"
      value='Transmit'
      tabindex="2"
    /><br>
</form>
</th>
</tr>
</table>
</center>
{% endblock %}
